pax-utils_1.1.5-1_i386.deb


Advertisement

Description

pax-utils - Security-focused ELF files checking tool

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package filename pax-utils_1.1.5-1_i386.deb
Package name pax-utils
Package version 1.1.5
Package release 1
Package architecture i386
Package type deb
Category universe/devel
Homepage https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 74.94 KB
Installed size 233.00 KB
This is a small set of various PaX aware and related utilities for ELF
binaries. It can check ELF binary files and running processes for
issues that might be relevant when using ELF binaries along with PaX,
such as non-PIC code or executable stack and heap.

Alternatives

Package Version Architecture Repository
pax-utils_1.1.5-1_amd64.deb 1.1.5 amd64 Ubuntu Universe
pax-utils - - -

Requires

Name Value
libc6 >= 2.7
libcap2 >= 1:2.10

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pax-utils_1.1.5-1_i386.deb
Source Package pax-utils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pax-utils deb package:
    # sudo apt-get install pax-utils

Files

Path
/usr/bin/dumpelf
/usr/bin/lddtree
/usr/bin/pspax
/usr/bin/scanelf
/usr/bin/scanmacho
/usr/bin/symtree
/usr/share/doc/pax-utils/changelog.Debian.gz
/usr/share/doc/pax-utils/copyright
/usr/share/man/man1/dumpelf.1.gz
/usr/share/man/man1/pspax.1.gz
/usr/share/man/man1/scanelf.1.gz
/usr/share/man/man1/scanmacho.1.gz

Changelog

2016-02-11 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1.5-1) unstable; urgency=medium
* Imported Upstream version 1.1.5
2015-11-03 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1.4-1) unstable; urgency=medium
* Imported Upstream version 1.1.4
2015-09-27 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1.3-1) unstable; urgency=medium
* Imported Upstream version 1.1.3
2015-09-16 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1.2-1) unstable; urgency=medium
* Imported Upstream version 1.1.2
2015-09-06 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1.1-1) unstable; urgency=medium
* Imported Upstream version 1.1.1
2015-08-29 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.1-1) unstable; urgency=medium
* Imported Upstream version 1.1
* d/patches: drop obsolete patches
* d/*: fixes according to new upstream releases
2015-07-31 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.0.5-1) unstable; urgency=medium
* Imported Upstream version 1.0.5
* Fix tests (Closes: #793010)
2015-07-19 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.0.4-1) unstable; urgency=medium
* Imported Upstream version 1.0.4
* Use dh-autoreconf
2015-07-11 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.0.3-2) unstable; urgency=medium
* Enable tests during the build
* Clean and update files
* Drop obsolete lintian overrides
2015-04-08 - Tomasz Buchert <tomasz@debian.org>
pax-utils (1.0.3-1) unstable; urgency=medium
* Imported Upstream version 1.0.3

See Also

Package Description
paxctl_0.9-1_i386.deb new PaX control program for using the PT_PAX_FLAGS marking
paxctld_1.1-1_i386.deb Daemon to automatically set appropriate PaX flags
paxtest_0.9.11-2_i386.deb Test suite for the PaX kernel patch
pay-service_15.10+16.04.20160324.1-0ubuntu1_i386.deb service to allow requesting payment for an item
pay-test-app_15.10+16.04.20160324.1-0ubuntu1_i386.deb Small application to help test payment
pay-ui_15.10+16.04.20160324.1-0ubuntu1_i386.deb service to allow requesting payment for an item - user interface
pbalign-doc_0.2.0-1_all.deb documentation for pbalign
pbalign_0.2.0-1_all.deb map Pacific Biosciences reads to reference DNA sequences
pbbarcode_0.8.0-1_i386.deb annotate PacBio sequencing reads with barcode information
pbdagcon_0~20151114+git1d12e13+ds-2_i386.deb sequence consensus using directed acyclic graphs
pbgenomicconsensus_2.0.0+20151210-1_all.deb Pacific Biosciences variant and consensus caller
pbh5tools_0.8.0+dfsg-4_all.deb tools for manipulating Pacific Biosciences HDF5 files
pbnj_2.04-4.1_all.deb a suite of tools to monitor changes on a network
pbs-drmaa-dev_1.0.17-2_i386.deb DRMAA for Torque/PBS Pro - devel
pbs-drmaa1_1.0.17-2_i386.deb DRMAA for Torque/PBS Pro - runtime
Advertisement
Advertisement